Skip to main content
POST
/
api
/
datasets
/
{dataset_id}
/
branches
/
latent-selection
Create Latent Selection Branch
curl --request POST \
  --url https://api.example.com/api/datasets/{dataset_id}/branches/latent-selection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "branch_name": "<string>",
  "scan_id": "<string>",
  "view_name": "<string>",
  "selection_strategy": "manual",
  "run_mislabel_scan": false,
  "density_core_ratio": 0.5,
  "maximize_size": false,
  "plot_width": 123,
  "plot_height": 123,
  "samples": [
    {
      "filepath": "<string>",
      "given_label": "<string>"
    }
  ],
  "circles": [
    {
      "center_x": 123,
      "center_y": 123,
      "radius": 123
    }
  ]
}
'
{
  "branch_family_uuid": "<string>",
  "branch_id": "<string>",
  "dataset_name": "<string>",
  "branch_name": "<string>",
  "selected_count": 0,
  "balanced_count_per_class": 0,
  "balanced_total_count": 0,
  "queued_scan_id": "<string>",
  "queued_scan_type": "<string>",
  "build_status": "<string>",
  "build_async": false,
  "source_dataset_id": "<string>",
  "source_branch_name": "<string>",
  "requested_branch_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Cookies

antidote_session
string | null

Body

application/json
branch_name
string | null
scan_id
string | null
view_name
string | null
selection_strategy
enum<string>
default:manual
Available options:
manual,
density
run_mislabel_scan
boolean
default:false
density_core_ratio
number
default:0.5
Required range: 0.25 <= x <= 1
maximize_size
boolean
default:false
plot_width
number | null
plot_height
number | null
samples
LatentSelectionBranchSample · object[]
circles
LatentSelectionCircleInput · object[]

Response

Successful Response

branch_family_uuid
string
required
branch_id
string | null
dataset_name
string | null
branch_name
string | null
selected_count
integer
default:0
balanced_count_per_class
integer
default:0
balanced_total_count
integer
default:0
queued_scan_id
string | null
queued_scan_type
string | null
build_status
string | null
build_async
boolean
default:false
source_dataset_id
string | null
source_branch_name
string | null
requested_branch_name
string | null